Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 177464 - Javascript index does some computation even there is no javascript
Javascript index does some computation even there is no javascript
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Parsing & Indexing
6.x
PC Mac OS X
: P2 (vote)
: 6.x
Assigned To: Vitezslav Stejskal
issues@editor
:
Depends on:
Blocks: 177274
  Show dependency treegraph
 
Reported: 2009-11-23 11:03 UTC by Tomas Zezula
Modified: 2009-12-02 02:59 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Zezula 2009-11-23 11:03:48 UTC
Part of umbrella issue #177274.
The Javascript index query takes nearly the same time as the java index even for apisupport projects where is no javascript.
Comment 1 Vitezslav Stejskal 2009-11-30 02:04:43 UTC
I'll have a look at this.
Comment 2 Vitezslav Stejskal 2009-11-30 10:23:51 UTC
QuerySupport initialization takes too long. I think we could add some sort of caching.
Comment 3 Vitezslav Stejskal 2009-12-01 07:27:05 UTC
http://hg.netbeans.org/jet-main/rev/72b27a5dbaf8
Comment 4 Vitezslav Stejskal 2009-12-01 10:18:53 UTC
http://hg.netbeans.org/jet-main/rev/d1d31024c803
Comment 5 Quality Engineering 2009-12-02 02:59:43 UTC
Integrated into 'main-golden', will be available in build *200912020200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/72b27a5dbaf8
User: Vita Stejskal <vstejskal@netbeans.org>
Log: #177464: caching IndexImpl instances for roots in order to avoid disk touches (FileSystem access) when initializing QuerySupport


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo